Method: projects.locations.instances.rescheduleMaintenance

Reschedules a planned maintenance event for a specific instance.

HTTP request

POST https://lustre.googleapis.com/v1/{name=projects/*/locations/*/instances/*}:rescheduleMaintenance

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body contains data with the following structure:

JSON representation
{
  "reschedule": {
    object (Reschedule)
  },
  "requestId": string
}
Fields
reschedule

object (Reschedule)

Required. The desired reschedule settings.

requestId

string

Optional. A unique identifier for this request. A random UUID is recommended. This request is only idempotent if a requestId is provided.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • lustre.instances.rescheduleMaintenance

For more information, see the IAM documentation.

Reschedule

The desired reschedule settings.

JSON representation
{
  "rescheduleType": enum (RescheduleType),
  "scheduleTime": string
}
Fields
rescheduleType

enum (RescheduleType)

Required. The type of rescheduling.

scheduleTime

string (Timestamp format)

Optional. Required if rescheduleType is BY_TIME. Timestamp when the maintenance shall be rescheduled to. This time must be within 28 days of the original scheduled maintenance start time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

RescheduleType

The type of rescheduling event. More reschedule types may be added in the future.

Enums
RESCHEDULE_TYPE_UNSPECIFIED Unspecified schedule type.
IMMEDIATE Apply update immediately
NEXT_AVAILABLE_WINDOW Reschedule to the next available window.
BY_TIME Reschedule to a specific time.